Loading...
Searching...
No Matches
pappso::TracePlusCombiner Class Reference

`#include <tracepluscombiner.h>`

Inheritance diagram for pappso::TracePlusCombiner:

## Public Member Functions

| TracePlusCombiner ()
| TracePlusCombiner (int decimal_places)
| TracePlusCombiner (const TracePlusCombiner &other)
| TracePlusCombiner (TracePlusCombinerCstSPtr other)
virtual | ~TracePlusCombiner ()
virtual MapTrace & | combine (MapTrace &map_trace, const Trace &trace) const override
MapTrace & | combine (MapTrace &map_trace_out, const MapTrace &map_trace_in) const override
Public Member Functions inherited from pappso::TraceCombiner
| TraceCombiner ()
| TraceCombiner (int decimal_places)
| TraceCombiner (const TraceCombiner &other)
| TraceCombiner (TraceCombinerCstSPtr other)
virtual | ~TraceCombiner ()
Public Member Functions inherited from pappso::MassDataCombinerInterface
| MassDataCombinerInterface (int decimal_places=-1)
virtual | ~MassDataCombinerInterface ()
void | setDecimalPlaces (int value)
int | getDecimalPlaces () const
virtual MapTrace & | combine (MapTrace &map_trace, Iterator begin, Iterator end)

## Friends

class | MassSpectrumPlusCombiner

## Additional Inherited Members

Public Types inherited from pappso::MassDataCombinerInterface
using | Iterator = std::vector<const Trace *>::const_iterator
Protected Attributes inherited from pappso::MassDataCombinerInterface
int | m_decimalPlaces = -1
| Number of decimals to use for the keys (x values).

## Detailed Description

Definition at line 26 of file tracepluscombiner.h.

## Constructor & Destructor Documentation

## TracePlusCombiner() [1/4]

pappso::TracePlusCombiner::TracePlusCombiner | ( |  | ) |

Definition at line 23 of file tracepluscombiner.cpp.

: TraceCombiner()
{
}
pappso::TraceCombiner::TraceCombiner
TraceCombiner()
Definition tracecombiner.cpp:21

References pappso::TraceCombiner::TraceCombiner().

Referenced by TracePlusCombiner(), and MassSpectrumPlusCombiner.

## TracePlusCombiner() [2/4]

pappso::TracePlusCombiner::TracePlusCombiner | ( | int | decimal_places | ) |

Definition at line 28 of file tracepluscombiner.cpp.

: TraceCombiner(decimal_places)
{
}

References pappso::TraceCombiner::TraceCombiner().

## TracePlusCombiner() [3/4]

pappso::TracePlusCombiner::TracePlusCombiner | ( | const TracePlusCombiner & | other | ) |

Definition at line 33 of file tracepluscombiner.cpp.

: TraceCombiner(other)
{
}

References pappso::TraceCombiner::TraceCombiner(), and TracePlusCombiner().

## TracePlusCombiner() [4/4]

pappso::TracePlusCombiner::TracePlusCombiner | ( | TracePlusCombinerCstSPtr | other | ) |

Definition at line 38 of file tracepluscombiner.cpp.

: TraceCombiner(other)
{
qDebug();
}

References pappso::TraceCombiner::TraceCombiner().

## ~TracePlusCombiner()

pappso::TracePlusCombiner::~TracePlusCombiner | ( |  | ) |

virtual

Definition at line 44 of file tracepluscombiner.cpp.

{
}

## Member Function Documentation

## combine() [1/2]

MapTrace & pappso::TracePlusCombiner::combine | ( | MapTrace & | map_trace,
|  | const Trace & | trace ) const

override virtual

Implements pappso::MassDataCombinerInterface.

Definition at line 50 of file tracepluscombiner.cpp.

{
// qDebug() << "With m_decimalPlaces:" << m_decimalPlaces << "map trace size:" << map_trace.size()
// << "trace size:" << trace.size();
if(!trace.size())
return map_trace;
for(auto &current_data_point : trace)
{
// If the data point is 0-intensity, then do nothing!
if(!current_data_point.y)
continue;
double x = Utils::roundToDecimals(current_data_point.x, m_decimalPlaces);
// double x = current_data_point.x;
std::map<double, double>::iterator map_iterator;
std::pair<std::map<pappso_double, pappso_double>::iterator, bool> result;
result = map_trace.insert(std::pair<pappso_double, pappso_double>(x, current_data_point.y));
if(result.second)
{
// qDebug() << " The element to insert was not there already, we added it.";
// The new element was inserted, we have nothing to do.
}
else
{
// The key already existed! The item was not inserted. We need to
// update the value.
// qDebug() << " The element to insert was there already, we increment y.";
result.first->second += current_data_point.y;
}
}
// qDebug() << "Prior to returning map_trace, its size is:" << map_trace.size();
return map_trace;
}
pappso::MassDataCombinerInterface::m_decimalPlaces
int m_decimalPlaces
Number of decimals to use for the keys (x values).
Definition massdatacombinerinterface.h:44
pappso::Utils::roundToDecimals
static pappso_double roundToDecimals(pappso_double value, int decimal_places)
Definition utils.cpp:140
pappso::PeptideIonCter::x
@ x
Definition peptide.h:92

References pappso::MassDataCombinerInterface::m_decimalPlaces, pappso::Utils::roundToDecimals(), and pappso::x.

Referenced by combine(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), and MassSpectrumPlusCombiner.

## combine() [2/2]

MapTrace & pappso::TracePlusCombiner::combine | ( | MapTrace & | map_trace_out,
|  | const MapTrace & | map_trace_in ) const

override virtual

Implements pappso::MassDataCombinerInterface.

Definition at line 95 of file tracepluscombiner.cpp.

{
// qDebug() << __FILE__ << "@" << __LINE__ << __FUNCTION__ << " ()"
//<< "map trace size:" << map_trace_out.size()
//<< "trace size:" << trace.size();
if(!map_trace_in.size())
return map_trace_out;
return combine(map_trace_out, map_trace_in.toTrace());
}
pappso::TracePlusCombiner::combine
virtual MapTrace & combine(MapTrace &map_trace, const Trace &trace) const override
Definition tracepluscombiner.cpp:50

References combine(), and pappso::MapTrace::toTrace().

## Friends And Related Symbol Documentation

## MassSpectrumPlusCombiner

friend class MassSpectrumPlusCombiner

friend

Definition at line 29 of file tracepluscombiner.h.

References TracePlusCombiner(), combine(), and MassSpectrumPlusCombiner.

Referenced by MassSpectrumPlusCombiner.

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/combiners/tracepluscombiner.h
- pappsomspp/core/processing/combiners/tracepluscombiner.cpp